Updates the parameters of the specified CdnEdgeExtension resource.
HTTP request
PATCH https://networkservices.googleapis.com/v1beta1/{cdnEdgeExtension.name=projects/*/locations/*/cdnEdgeExtensions/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
cdnEdgeExtension.name |
Required. Identifier. Name of the |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Used to specify the fields to be overwritten in the This is a comma-separated list of fully qualified names of fields. Example: |
requestId |
Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server can ignore the request if it has already been completed. The server guarantees this behavior for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server ignores the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that the zero UUID isn't supported ( |
Request body
The request body contains an instance of CdnEdgeExtension.
Response body
If successful, the response body contains an instance of Operation.